Get affected row count

- « Result::__construct

- Result::getAutoIncrementValue »

- PHP Manual
- mysql_xdevapi\Result
- Get affected row count

# Result::getAffectedItemsCount

(No version information available, might only be in Git)

Result::getAffectedItemsCount — Get affected row count

### Description

public mysql_xdevapi\Result::getAffectedItemsCount(): int

Get the number of affected rows by the previous operation.

### Parameters

This function has no parameters.

### Return Values

The number (as an integer) of affected rows.

### Examples

Example #1 mysql_xdevapi\Result::getAffectedItemsCount() example

    <?php$session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");$session->sql("DROP DATABASE IF EXISTS addressbook")->execute();$session->sql("CREATE DATABASE addressbook")->execute();$schema = $session->getSchema("addressbook");$create = $schema->createCollection("people");$collection = $schema->getCollection("people");$result = $collection->add('{"name": "Wilma", "age": 23, "job": "Teacher"}')->execute();var_dump( $res->getAffectedItemsCount() );?>

The above example will output:

    int(1)